version: 1

metadata:
  name: Lightning Terminal
  version: 0.14.0-alpha.rc1+nirvati.2
  category: Lightning Node Management
  tagline: A browser-based interface for managing channel liquidity
  developers:
    Lightning Labs: https://lightning.engineering
  description: |-
    With Lightning Terminal, you can
      - Visualize your channels and balances

      - Perform submarine swaps via the Lightning Loop service

      - Classify channels according to your node's operating mode

      - Run a single binary that integrates loopd, poold and faraday daemons all in one

      - Access a preview release of the Pool UI

      - Use Pool to earn sats by opening channels to those needing inbound liquidity
  repos:
    Server: https://github.com/lightninglabs/lightning-terminal
  support: https://github.com/lightninglabs/lightning-terminal/issues
  gallery:
  - 1.jpg
  - 2.jpg
  - 3.jpg
  default_password: {{ derive_entropy(identifier="password") }}
  has_permissions:
    - lnd/access-grpc
    - bitcoin/access-rpc
  exported_data:
    bitcoin:
      info:
        rpc_accounts: []
    lnd:
      auth:
        macaroons:
          admin:
            permissions:
              - entity: address
                action: read
              - entity: address
                action: write
              - entity: info
                action: read
              - entity: info
                action: write
              - entity: invoices
                action: read
              - entity: invoices
                action: write
              - entity: macaroon
                action: generate
              - entity: macaroon
                action: read
              - entity: macaroon
                action: write
              - entity: message
                action: read
              - entity: message
                action: write
              - entity: onchain
                action: read
              - entity: onchain
                action: write
              - entity: offchain
                action: read
              - entity: offchain
                action: write
              - entity: peers
                action: read
              - entity: peers
                action: write
              - entity: signer
                action: read
              - entity: signer
                action: generate
  volumes:
    data:
      minimum_size: 10Mi
      recommended_size: 1Gi
      name: Data
      description: Lightning Terminal's data